
	.circle.svelte-18p56hv {
		width: var(--size);
		height: var(--size);
		box-sizing: border-box;
		position: relative;
		border: 3px solid transparent;
		border-top-color: var(--colorOuter);
		border-radius: 50%;
		animation: svelte-18p56hv-circleSpin var(--durationOuter) linear infinite;
	}
	.circle.svelte-18p56hv::before,
	.circle.svelte-18p56hv::after {
		content: '';
		box-sizing: border-box;
		position: absolute;
		border: 3px solid transparent;
		border-radius: 50%;
	}
	.circle.svelte-18p56hv::after {
		border-top-color: var(--colorInner);
		top: 9px;
		left: 9px;
		right: 9px;
		bottom: 9px;
		animation: svelte-18p56hv-circleSpin var(--durationInner) linear infinite;
	}
	.circle.svelte-18p56hv::before {
		border-top-color: var(--colorCenter);
		top: 3px;
		left: 3px;
		right: 3px;
		bottom: 3px;
		animation: svelte-18p56hv-circleSpin var(--durationCenter) linear infinite;
	}
	.pause-animation.svelte-18p56hv,
	.pause-animation.svelte-18p56hv::after,
	.pause-animation.svelte-18p56hv::before {
		animation-play-state: paused;
	}

	@keyframes svelte-18p56hv-circleSpin {
		0% {
			transform: rotate(0deg);
		}
		100% {
			transform: rotate(360deg);
		}
	}
